tw.com.prolific.driver.pl2303g

## Enum PL2303GDriver.Parity

- java.lang.Object
- - java.lang.Enum<PL2303GDriver.Parity>
  - - tw.com.prolific.driver.pl2303g.PL2303GDriver.Parity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PL2303GDriver.Parity>
  Enclosing class:
    PL2303GDriver<UsbConfiguration>

      public static enum PL2303GDriver.Parity
      extends java.lang.Enum<PL2303GDriver.Parity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVEN`
    `NONE`
    `ODD`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PL2303GDriver.Parity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PL2303GDriver.Parity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final PL2303GDriver.Parity NONE

    - #### ODD

          public static final PL2303GDriver.Parity ODD

    - #### EVEN

          public static final PL2303GDriver.Parity EVEN

  - ### Method Detail

    - #### values

          public static PL2303GDriver.Parity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PL2303GDriver.Parity c : PL2303GDriver.Parity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PL2303GDriver.Parity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null